#!/usr/bin/env python
# -*- coding: utf8 -*-

from servoControl import play_note
from servoControl import initialisation

import threading
import time
import re

n = 0
m = 0
tps = 0.5
partition = []

for i in range(255):

    octet = bin(i+1)[2:] # converti en binaire et retire le 0b
    octet = octet.zfill(8)   # rajoute les 0 aux début de l'octet
    octet = str(octet)       # converti le nombre en string
    accord = [match.start() for match in re.finditer(re.escape("1"), octet)] # recherche les positions de chaque "1"
    partition.append((i+1, octet, accord))

def thread_notes (bit):
    thread = threading.Thread(target=play_note, args=(bit))
    thread.start()

def octets_pour_un_octave():
            
    #thread_notes ((bit,))
    for i in partition:
        print("---")
        print (i[1])
        for j in i[2]:
            #print (j)
            thread_notes((j,))
        time.sleep(tps)
        print("---")    
       
if __name__ == "__main__":
    
    initialisation ()
    octets_pour_un_octave()
    

    
